# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /Users/iraf/build/boyle/workspace/AstroConda/public_boyle_py3.7_np1.16/_dispatch/conda-recipes/hstcal, last modified Thu May  6 04:00:12 2021
# ------------------------------------------------

package:
    name: hstcal
    version: 2.7.0
source:
    git_rev: 2.7.0
    git_url: https://github.com/spacetelescope/hstcal.git
build:
    number: '0'
    string: '0'
requirements:
    build:
        - bzip2 1.0.8 h1de35cc_0
        - ca-certificates 2021.4.13 hecd8cb5_1
        - certifi 2020.12.5 py37hecd8cb5_0
        - cfitsio 3.470 1
        - libcxx 10.0.0 1
        - libffi 3.3 hb1e8313_2
        - libgcc 4.8.5 hdbeacc1_10
        - libgfortran 3.0.1 h93005f0_2
        - libiconv 1.16 h1de35cc_0
        - ncurses 6.2 h0a44026_1
        - openssl 1.1.1k h9ed2024_0
        - pip 21.0.1 py37hecd8cb5_0
        - pkg-config 0.29.2 h3efe00b_8
        - python 3.7.10 h88f2d9e_0
        - readline 8.1 h9ed2024_0
        - setuptools 52.0.0 py37hecd8cb5_0
        - sqlite 3.35.4 hce871da_0
        - tk 8.6.10 hb0a8c7a_0
        - wheel 0.36.2 pyhd3eb1b0_0
        - xz 5.2.5 h1de35cc_0
        - zlib 1.2.11 h1de35cc_3
    run:
        - cfitsio
        - libgcc >=4.7
test:
    commands:
        - calacs.e --gitinfo
        - otool -L $(which calacs.e)
about:
    home: https://github.com/spacetelescope/hstcal
    license: BSD
    summary: Calibration for HST/WFC3, HST/ACS, and HST/STIS
extra:
    copy_test_source_files: true
    final: true
